OWMON(1)

NAME
owmon - Monitor for owserver settings and statistics

SYNOPSIS
owmon -s owserver-tcp-port

DESCRIPTION

  owserver
owserver (1) is the backend component of the OWFS 1-wire bus control system. owserver (1) arbitrates access to the bus from multiple client processes. The physical bus is usually connected to a serial or USB port, and other processes connect to owserver (1) over network sockets (tcp port).

Frontend clients include a filesystem representation: owfs (1) , and a webserver: owhttpd (1). Direct language bindings are also available, e.g: owperl (3).

There are also many light-weight clients that can only talk to owserver (1) and not to the 1-Wire bus directly. They include shell and multiple language modules (perl, Visual Basic, python,...)

  owserver protocol
All the owserver (1) clients use the owserver protocol for communication. The owserver protocol is a well documented tcp/ip client/server protocol. Assigned the "well known port" default of 4304.

  owmon
owmon (1) is connects to owserver (1) and displays the bus structure and contents of the interface, statistics and settings directories.

SPECIFIC OPTIONS

  -s
TCP port or IPaddress:port for owserver
The tcp port (IP:port) for the "upstream" owserver.

EXAMPLE
If owserver (1) is started:
owserver -p 4304 -d /dev/ttyS0
owserver on tcp port 4304 and connects to a physical 1-wire bus on a serial port.

You can monitor owserver (1) with
owmon -s 4304 /

PLATFOMS
owmon (1) is a pure Tcl/TK program and will run whereever Tcl/TK is available (Windows, Macintosh, Linux, Unix)

LINKS

  owserver protocol
http://www.owfs.org/index.php?page=owserver-protocol

  Tcl/TK
http://www.tcl.tk

SEE ALSO

AVAILABILITY
http://www.owfs.org

AUTHOR
Paul Alfille (paul.alfille@gmail.com)